none
新建uwp项目时候,目标平台版本和最小平台版本应选择多少? RRS feed

  • 问题

  • 我的win10sdk装的是Windows 10 SDK (ver. 10.0.15063.468) 。

    新建项目时候,目标平台版本和最小平台版本可选项为10586、10240.

    没发现15063。

    请问我应该如何选择?

    2017年11月20日 9:00

答案

全部回复

  • 你好

    请问你的 Visual Studio 是 2015 还是 2017 呢?

    如果是 2015 的话,是不能打开 15063 Windows SDK 的项目的,如果需要设置目标版本 15063,需要安装 Visual Studio 2017.


    希望我的答案能帮助更多的人。
    博客地址: http://www.cnblogs.com/shaomeng

    2017年11月21日 1:05
    版主
  • 你好,

    正如版主所说的,如果要使用Windows 10 SDK (15063) 或者最新的 Windows SDK (16299),需要安装Visual Studio 2017.

    请参考:Updating your tooling for Windows 10 Creators Update


    Keep Fighting

    2017年11月21日 2:08
  • 你好

    请问你的 Visual Studio 是 2015 还是 2017 呢?

    如果是 2015 的话,是不能打开 15063 Windows SDK 的项目的,如果需要设置目标版本 15063,需要安装 Visual Studio 2017.


    希望我的答案能帮助更多的人。
    博客地址: http://www.cnblogs.com/shaomeng

    我用的是vs2015,我应该装什么版本的sdk,目标版本和最低版本应该选什么版本?
    2017年11月21日 3:33
  • 你好,

    可以用14393、10586和10240版本的SDK。

    目标版本就是你的应用程序需要面向的设备的Windows版本号,最低版本一般是低于目标版本。

    如,目标版本是14393,最低版本是10586或者10240.


    Keep Fighting

    2017年11月21日 4:01
  • 你好,

    可以用14393、10586和10240版本的SDK。

    目标版本就是你的应用程序需要面向的设备的Windows版本号,最低版本一般是低于目标版本。

    如,目标版本是14393,最低版本是10586或者10240.


    Keep Fighting

    如果我的应用程序的最低版本号我选择用14393,是不是一些windows 10设备(版本号10586,10240)不能安装运行我的应用程序?
    2017年11月21日 5:01
  • 你好

    是这样的。


    Keep Fighting

    2017年11月21日 5:09
  • 你好

    是这样的。


    Keep Fighting


    如果我最低选择10240,目标选择14393,那么15063的windows 10是不是不能运行我的应用程序呢?
    2017年11月21日 5:36
  • 你好
    最低选择 10240,目标选择 14393,15063 的 Windows 10 是可以运行的。


    希望我的答案能帮助更多的人。
    博客地址: http://www.cnblogs.com/shaomeng

    2017年11月21日 5:38
    版主